# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc LoadAuto {} {
global storedir
global lifefeld savefeld nmax


set name [fileselect "Select file" lif $storedir open]

if {[file exists $name]  && $name !=""} {
  set ff [open $name]

  
  set localmax [gets $ff] 
  clear
  for {set i 0} { $i <= $localmax} {incr i} {
     for {set j 0} { $j <= $localmax} {incr j} {
       set lifefeld($i,$j) [gets $ff]
       set savefeld($i,$j) $lifefeld($i,$j)
     }
  }
 set storedir [file dirname $name]
}
show
}


proc SaveAuto {} {
global storedir
global lifefeld nmax

set name [fileselect "Select file" lif $storedir save]

if {$name !=""} {

if {[file extension $name] != ".lif"} {set name $name.lif}

set ff [open $name w 0755]

puts $ff $nmax

for {set i 0} { $i <= $nmax} {incr i} {
   for {set j 0} { $j <= $nmax} {incr j} {
      puts $ff $lifefeld($i,$j)
      if {$lifefeld($i,$j)==1} {puts "C($j,$i)=1;"}
  }
}

close $ff
set storedir [file dirname $name]
}

}



