# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc erase {w tag} {
foreach thing $tag {
  $w delete $thing
  $w dtag $thing
}
}

proc nnx {x} {
global xmin xdelt pxmin pxdelt
return [expr {$pxmin+($x-$xmin)*$pxdelt/$xdelt}]
}

proc nny {y} {
global ymin ydelt pymin pydelt
return [expr {$pymin+($y-$ymin)*$pydelt/$ydelt}]
}

proc pnnx {px} {
global xmin xdelt pxmin pxdelt
return [expr {$xmin+($px-$pxmin)*$xdelt/$pxdelt}]
}

proc pnny {py} {
global ymin ydelt pymin pydelt
return [expr {$ymin+($py-$pymin)*$ydelt/$pydelt}]
}

proc invnnx {x} {
global xmin xdelt pxmin pxdelt
return [expr {($x-$pxmin)*$xdelt/$pxdelt+$xmin}]
}

proc invnny {y} {
global ymin ydelt pymin pydelt
return [expr {($y-$pymin)*$ydelt/$pydelt+$ymin}]
}
