# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc eval_plotmode {mode} {
global a b c d e
global fanz function fname showfunc
global minx miny maxx maxy mint maxt

switch $mode {
1 {
     set fanz 4
     set function(1) sin(x)
     set function(2) ""
     set function(3) ""
     set function(4) ""
     set function(5) ""
     set function(6) ""

     set fname(1) f(x)=
     set fname(2) g(x)=
     set fname(3) h(x)=
     set fname(4) i(x)=
     set fname(5) j(x)=
     set fname(6) k(x)=

     set showfunc(1) 1
     set showfunc(2) 0
     set showfunc(3) 0    
     set showfunc(4) 0    
     set showfunc(5) 0    
     set showfunc(6) 0    

    set a ""
    set b  ""
    set c  ""
    set d ""
    set e ""
    set minx -10.0
    set miny -10.0
    set maxx 10.0
    set maxy 10.0
  }

0 {
      set fanz 2
      set function(1) a*cos(t)
      set function(2) b*sin(t)
      set function(3) ""

     set fname(1) x(t)=
     set fname(2) y(t)=

     set showfunc(1) 1
     set showfunc(2) 1

    set a 1.0
    set b 1.0
    set c ""
    set d  ""
    set e ""

    set minx -10.0
    set miny -10.0
    set maxx 10.0
    set maxy 10.0
  }


2 {
      set fanz 2
      set function(1) a*x+b*y
      set function(2) c*x+d*y
      set function(3) ""

     set fname(1) u=
     set fname(2) v=

     set showfunc(1) 1
     set showfunc(2) 1

    set a 2.0
    set b 0.0
    set c 0.0
    set d 2.0
    set e ""

    set minx -3.0
    set miny -3.0
    set maxx 3.0
    set maxy 3.0

  }
}

}
