# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc LoadPlotFunc {} {
global storedir
global function plotmode
global minx maxx miny maxy mint maxt
global a b c d e

killwin

switch $plotmode {
1 {
  set name [fileselect "Select function file" tgp $storedir open]

  if {[file exists $name]  && $name !=""} {
     set ff [open $name]
     set function(1) [gets $ff]
     set function(2) [gets $ff]
     set function(3) [gets $ff]
     set minx [gets $ff]
     set maxx [gets $ff]
     set miny [gets $ff]
     set maxy [gets $ff]
     set a [gets $ff]
     set b [gets $ff]
     set c [gets $ff]
     set d [gets $ff]
     set e [gets $ff]
     }
  }

0 {
  set name [fileselect "Select function file" tgt $storedir open]

  if {[file exists $name]  && $name !=""} {
     set ff [open $name]
     set function(1) [gets $ff]
     set function(2) [gets $ff]
     set mint [gets $ff]
     set maxt [gets $ff]
     set minx [gets $ff]
     set maxx [gets $ff]
     set miny [gets $ff]
     set maxy [gets $ff]
     set a [gets $ff]
     set b [gets $ff]
     set c [gets $ff]
     set d [gets $ff]
     set e [gets $ff]
     }
}
2 {
  set name [fileselect "Select function file" tgd $storedir open]

  if {[file exists $name]  && $name !=""} {
     set ff [open $name]
     set function(1) [gets $ff]
     set function(2) [gets $ff]
    
     set minx [gets $ff]
     set maxx [gets $ff]
     set miny [gets $ff]
     set maxy [gets $ff]
     set a [gets $ff]
     set b [gets $ff]
     set c [gets $ff]
     set d [gets $ff]
     
     }
  }
}
if {$name !=""} {
 set storedir [file dirname $name]
}
resetscale
}


proc SavePlotFunc {} {
global storedir

global function plotmode
global minx maxx miny maxy mint maxt
global a b c d e


switch $plotmode {
1 {
   set name [fileselect "Select function file" tgp $storedir save]

   if {$name !=""} {
   if {[file extension $name] != ".tgp"} {set name $name.tgp}
   set ff [open $name w 0755]

   puts $ff $function(1)
   puts $ff $function(2)
   puts $ff $function(3)
   puts $ff $minx
   puts $ff $maxx
   puts $ff $miny
   puts $ff $maxy
   puts $ff $a
   puts $ff $b
   puts $ff $c
   puts $ff $d
   puts $ff $e

   close $ff
   }
 }

0 {
   set name [fileselect "Select function file" tgt $storedir save]

   if {$name !=""} {
   if {[file extension $name] != ".tgt"} {set name $name.tgt}
   set ff [open $name w 0755]

   puts $ff $function(1)
   puts $ff $function(2)
   puts $ff $mint
   puts $ff $maxt
   puts $ff $minx
   puts $ff $maxx
   puts $ff $miny
   puts $ff $maxy
   puts $ff $a
   puts $ff $b
   puts $ff $c
   puts $ff $d
   puts $ff $e

   close $ff
   }
}
2 {
   set name [fileselect "Select function file" tgd $storedir save]

   if {$name !=""} {
   if {[file extension $name] != ".tgd"} {set name $name.tgd}
   set ff [open $name w 0755]

   puts $ff $function(1)
   puts $ff $function(2)
   puts $ff $minx
   puts $ff $maxx
   puts $ff $miny
   puts $ff $maxy
   puts $ff $a
   puts $ff $b
   puts $ff $c
   puts $ff $d
 

   close $ff
   }
 }
}
if {$name !=""} {
 set storedir [file dirname $name]
}
}



