# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg

proc calc_ew {a b c d} {

set form "%3.2f"
set spur [expr $a+$d]
set det [expr $a*$d-$b*$c]

set arg [expr $spur*$spur/4.0 -$det]

if {$arg>=0} {
  set EW1 [expr $spur/2.0 + sqrt($arg)]
  set EW2 [expr $spur/2.0 - sqrt($arg)]

  if {$b!=0} {
    set EV1 "\"([format $form 1] [format $form [expr ($EW1-$a)/$b]])\""
    set EV2 "\"([format $form 1] [format $form [expr ($EW2-$a)/$b]])\""
  } else {
   if {$c!=0} {
        if {$a!=$d} {
                set EV1 "\"([format $form 1] [format $form [expr $c/($a-$d)]])\""
                set EV2 "\"([format $form 0] [format $form 1])\""                
        } else {
                set EV1 "\"([format $form 0] [format $form 1])\""
                set EV2 $EV1     
        }
   } else {
    set EV1 "\"([format $form 0] [format $form 1])\""
    set EV2 "\"([format $form 1] [format $form 0])\""
   }
 
  }
  set EW1 [format $form $EW1]
  set EW2 [format $form $EW2]

} else {
  set EW1 "\"[format $form [expr $spur/2.0]] + i [format $form [expr sqrt(-$arg)]]\""
  set EW2 "\"[format $form [expr $spur/2.0]] - i [format $form [expr sqrt(-$arg)]]\""
  set EV1 komplex
  set EV2 komplex
}

return "$EW1 $EW2 $EV1 $EV2 $spur $det"
}
