# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc init_timeplot {} {
global pcanx pcany
global bxmin bxmax bxdelt bpxmin bpxdelt
global bymin bymax bydelt bpymin bpydelt
global ulx uly lrx lry boldxsize boldysize
global plotFontN plotFontS plotFontT
global boldFontN boldFontS boldFontT
global endtime
global minx maxx miny maxy
global t0
global commandx commandy

.second.plot delete all


set bpxmin 0
set bpxdelt $pcanx
set bpymin $pcany
set bpydelt -$pcany


set bxmin $t0
set bxmax $endtime 
set bxdelt [expr $endtime-$t0] 

set bymin [min $minx $miny]
set bymax [max $maxx $maxy]
set bydelt [expr $bymax -$bymin] 


#Achsen

if {$commandx!=1} {
set item [.second.plot create text 50 20 -text "X" -fill black \
             -font $boldFontN -anchor c]
}
	     
	     
set item [.second.plot create text 70 20 -text "Y" -fill red \
             -font $boldFontN -anchor c]
	     
set item [.second.plot create text 5 5 -text $bymax -fill black \
             -font $boldFontN -anchor nw]
	     
set item [.second.plot create text 5 $pcany -text $bxmin,$bymin -fill black \
             -font $boldFontN -anchor sw]

set item [.second.plot create text $pcanx $pcany -text $endtime -fill black \
             -font $boldFontN -anchor se]


}
