# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
# proc Life
# DIE zentrale Berechnung
##################################################
proc PerBug_c {{par 0} {neighbors 4}} {
global lifefeld nmax newworld savefeld
global exec_dir rlist

set rnd [expr int([random]*650000)]
set clist "$nmax $newworld $rnd $par $neighbors"
# Retten der alten Werte

for {set i 0} { $i <= $nmax} {incr i} {
   for {set j 0} { $j <= $nmax} {incr j} {
      lappend clist $lifefeld($i,$j)
   }
}

set rlist [eval exec $exec_dir/cperbug $clist]
set summe 0
#Berechnen der neuen Werte
for {set i 0} { $i <= $nmax} {incr i} {
   for {set j 0} { $j <= $nmax} {incr j} {
     set lifefeld($i,$j) [lindex $rlist [expr $i*($nmax+1)+$j]]
     set summe [expr $summe+$lifefeld($i,$j)]
     }
   }
    .ov.right.msg.list  delete 1
   .ov.right.msg.list  insert 1  "Summe=$summe"

}
