# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
#
##################################################

proc wolfram {i rule} {
global lifefeld nmax newworld 

set im [expr $i-1]
set ip [expr $i+1]

set triplets "{1 1 1} {1 1 0} {1 0 1} {1 0 0} {0 1 1} {0 1 0} {0 0 1} {0 0 0}"
set binrule [int2bits $rule 8]

#Berechnen der neuen Werte
for {set j 0} { $j <= $nmax} {incr j} {

# Bestimmung der Nachbarindizes   	
      set k [expr $j-1]
      set m [expr $j+1]

      if {$newworld==1} {
      # Setzen der Randindizes
	    if {$j==0} {set k $nmax}
	    if {$j==$nmax} {set m 0}
      }    

     set actuell "$lifefeld($k,$im) $lifefeld($j,$im) $lifefeld($m,$im)"

     for {set n 0} { $n <8} {incr n} {
	    if {$actuell==[lindex $triplets $n]} {
	       set lifefeld($j,$i)  [lindex $binrule $n]
	    }
      }

      }


}
