# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc printout {{c .ov.plot}} {
global storedir
global plotcounter

if ![file exists $storedir/plots] {file mkdir plots}


   set file "$storedir/plots/mov_$plotcounter.ps"
 
   $c postscript -file $file
   textinfo "PostScript output to $file"
   incr plotcounter

} 

proc printout_grace {{c .ov.plot}} {
global storedir
global xvg_out
global plotcounter
global agrflag
set agrflag 1

#only for compatibility with MoViE
global gc
set gc 0

if ![file exists $storedir/plots] {file mkdir plots}


   set file "$storedir/plots/mov_$plotcounter.agr"
       if {$file != ""} {
        set xvg_out [open $file w 0660]


  xv_openf
  plot 1
  xv_closef
  textinfo  "Grace output to $file"
  incr plotcounter
  set agrflag 0
   }

}
