# TigerGraphics Math and Fractal Tool 1.2.2 Copyright (C) 2023, Cora Kohlmeier, Frank Hamberg
proc square {} {
global can
global tmin tmax
global xmin xmax xdelt pxmin pxmax pxdelt
global ymin ymax ydelt pymin pymax pydelt
global plotFontN plotFontS plotFontT
global boldFontN boldFontS boldFontT
global function command fname
global a b c d e
global axmin axmax aymin aymax
global vecx vecy

set axmin inf
set axmax -inf
set aymin inf
set axmax -inf

set_plot

set color(1) black
set color(2) red
set color(3) seagreen
set color(4) orange

set width 2

set yval 0
set yoff 20

axes

#Einheitsquadrat

set vecx(0) 0
set vecy(0) 0

set vecx(1) 1
set vecy(1) 0

set vecx(2) 1
set vecy(2) 1

set vecx(3) 0
set vecy(3) 1


 .ov.plot create rect [nnx $vecx(0)] [nny $vecy(0)]    [nnx $vecx(2)] [nny $vecy(2)]   \
                      -tag richt -fill lightgrey

for {set i 0} {$i<=3} {incr i} {

  set j [expr int(fmod($i+1,4))]
 .ov.plot create line [nnx $vecx($i)] [nny $vecy($i)]  [nnx $vecx($j)] [nny $vecy($j)]  -tag richt -fill $color([expr $i+1]) -width $width -arrow last
}


}


